The Apache Haus Forum

Advanced search  

News:

Welcome to Apache Haus Distribution Forum

Pages: [1]   Go Down

Author Topic: BUG: httpd-2.4.46-lre325-x64-vs16 | SSLCompression mode unsupported  (Read 140 times)

ErrorReporter

  • Newbie
  • *
  • Offline Offline
  • Posts: 1

Hello! I think I find a bug...
When I use httpd-2.4.46-lre325-x64-vs16 I got error "Setting Compression mode unsupported; not implemented by the SSL library"
With version httpd-2.4.46-o111k-x64-vc15/httpd-2.4.46-o111j-x64-vc15 no errors.
Logged

Gregg

  • Administrator
  • Member Elite
  • *****
  • Offline Offline
  • Posts: 883
Re: BUG: httpd-2.4.46-lre325-x64-vs16 | SSLCompression mode unsupported
« Reply #1 on: April 26, 2021, 10:12:55 PM »

LibreSSL has removed that option since it was used in the CRIME attack against TLS.
So "Setting Compression mode unsupported; not implemented by the SSL library" is not a bug.
Logged

mario

  • Administrator
  • Member Elite
  • *****
  • Offline Offline
  • Posts: 613
Re: BUG: httpd-2.4.46-lre325-x64-vs16 | SSLCompression mode unsupported
« Reply #2 on: April 27, 2021, 09:57:52 AM »

Further to Greggs' reply, it is recommended to turn that of for OpenSSL in the apache settings

SSLCompression Off
Logged
Pages: [1]   Go Up
 

Sitemap 1 2 3 4 5 6 7 8 9 10 11 12 13